CVE-2003-1082
CVSS7.2
发布时间 :2003-12-31 00:00:00
修订时间 :2008-09-10 15:21:43
NMCO    

[原文]Buffer overflow in utmp_update for Solaris 2.6 through 9 allows local users to gain root privileges, as identified by Sun BugID 4705891, a different vulnerability than CVE-2003-1068.


[CNNVD]Sun Solaris UTMP_Update本地缓冲区溢出漏洞(CNNVD-200312-335)

        
        Solaris是一款由Sun Microsystems开发和维护的商业UNIX操作系统。
        Solaris中包含的'/usr/lib/utmp_update'命令由于缺少正确的边界缓冲区检查,本地攻击者可以利用这个漏洞进行缓冲区溢出攻击,精心构建提交数据,可能以root用户权限在系统上执行任意指令。
        目前没有提供详细漏洞细节。
        <*链接:http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert/50008
        *>

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:sun:solaris:9.0::sparc
cpe:/o:sun:solaris:8.0
cpe:/o:sun:solaris:2.6
cpe:/o:sun:solaris:7.0::x86
cpe:/o:sun:solaris:7.0
cpe:/o:sun:solaris:8.0::x86
cpe:/o:sun:solaris:2.6::x86

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1082
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-1082
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200312-335
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/596748
(VENDOR_ADVISORY)  CERT-VN  VU#596748
http://xforce.iss.net/xforce/xfdb/11083
(UNKNOWN)  XF  solaris-utmp-update-bo(11083)
http://www.ciac.org/ciac/bulletins/n-105.shtml
(UNKNOWN)  CIAC  N-105
http://sunsolve.sun.com/search/document.do?assetkey=1-26-50008-1
(VENDOR_ADVISORY)  SUNALERT  50008
http://www.securitytracker.com/id?1005935
(UNKNOWN)  SECTRACK  1005935
http://www.securityfocus.com/bid/6639
(UNKNOWN)  BID  6639
http://secunia.com/advisories/7892
(UNKNOWN)  SECUNIA  7892

- 漏洞信息

Sun Solaris UTMP_Update本地缓冲区溢出漏洞
高危 边界条件错误
2003-12-31 00:00:00 2005-10-31 00:00:00
本地  
        
        Solaris是一款由Sun Microsystems开发和维护的商业UNIX操作系统。
        Solaris中包含的'/usr/lib/utmp_update'命令由于缺少正确的边界缓冲区检查,本地攻击者可以利用这个漏洞进行缓冲区溢出攻击,精心构建提交数据,可能以root用户权限在系统上执行任意指令。
        目前没有提供详细漏洞细节。
        <*链接:http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert/50008
        *>

- 公告与补丁

        厂商补丁:
        Sun
        ---
        Sun已经为此发布了一个安全公告(Sun-Alert-50008)以及相应补丁:
        Sun-Alert-50008:Security Vulnerability with the Solaris "/usr/lib/utmp_update" Command
        链接:
        http://sunsolve.sun.com/pub-cgi/retrieve.pl?doc=fsalert/50008

        补丁下载:
        Sun Solaris 2.6 _x86:
        Sun Patch 113755-01
        
        http://sunsolve.sun.com

        Sun Solaris 2.6:
        Sun Patch 113754-01
        
        http://sunsolve.sun.com

        Sun Solaris 7.0 _x86:
        Sun Patch 113753-01
        
        http://sunsolve.sun.com

        Sun Solaris 7.0:
        Sun Patch 113752-01
        
        http://sunsolve.sun.com

        Sun Solaris 8.0 _x86:
        Sun Patch 113651-01
        
        http://sunsolve.sun.com

        Sun Solaris 8.0:
        Sun Patch 113650-01
        
        http://sunsolve.sun.com

        Sun Solaris 9.0:
        Sun Patch 113718-01
        
        http://sunsolve.sun.com

- 漏洞信息

14031
Solaris utmp_update Local Overflow
Local Access Required Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-01-16 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站